libsquashfs: sqfs_inode_dir_ext_t Struct Reference

libsquashfs 1.3.2 A new set of tools and libraries for working with SquashFS images

Loading...
Searching...
No Matches
sqfs_inode_dir_ext_t Struct Reference

Follows a sqfs_inode_t if type is SQFS_INODE_EXT_DIR. More...

`#include <inode.h>`

Collaboration diagram for sqfs_inode_dir_ext_t:

## Data Fields
sqfs_u32 | nlink
| Number of hard links to this node.
sqfs_u32 | size
| Size of all directory entries and headers in bytes plus 3.
sqfs_u32 | start_block
| Offset from the directory table start to the location of the meta data block containing the first directory header.
sqfs_u32 | parent_inode
| Inode number of the parent directory containing this directory inode.
sqfs_u16 | inodex_count
| Number of directory index entries following the inode.
sqfs_u16 | offset
| Offset into the uncompressed start block where the header can be found.
sqfs_u32 | xattr_idx
| Extended attribute index.

## Detailed Description

Follows a sqfs_inode_t if type is SQFS_INODE_EXT_DIR.

Definition at line 433 of file inode.h.

## Field Documentation

## ◆ inodex_count

sqfs_u16 inodex_count

Number of directory index entries following the inode.

This number counts the number of sqfs_dir_index_t entries following the inode.

Definition at line 462 of file inode.h.

## ◆ nlink

sqfs_u32 nlink

Number of hard links to this node.

Definition at line 437 of file inode.h.

## ◆ offset

sqfs_u16 offset

Offset into the uncompressed start block where the header can be found.

Definition at line 468 of file inode.h.

## ◆ parent_inode

sqfs_u32 parent_inode

Inode number of the parent directory containing this directory inode.

Definition at line 454 of file inode.h.

## ◆ size

sqfs_u32 size

Size of all directory entries and headers in bytes plus 3.

Definition at line 442 of file inode.h.

## ◆ start_block

sqfs_u32 start_block

Offset from the directory table start to the location of the meta data block containing the first directory header.

Definition at line 448 of file inode.h.

## ◆ xattr_idx

sqfs_u32 xattr_idx

Extended attribute index.

Definition at line 473 of file inode.h.

The documentation for this struct was generated from the following file:

- include/sqfs/inode.h